REM  Batch script to compute World IO multipliers

del *.log
del *.sol
del *.slc
del *.sl4
del *.lu4
del *.eq4
del *.bak

REM  create EQ4, LU4 files 
BigIOmult -cmf BigIOmult.cmf  >run1.log
if errorlevel 1 goto err

REM  do a SAGEM simulation for each price shock 
sagem -cmf sagem.cmf >sagem.log
if errorlevel 1 goto err

REM  convert SL4 file to SOL HAR file
REM  sti file must be used to get individual columns
sltoht -sti sltoht.sti >sltoht.log
if errorlevel 1 goto err

REM  process results -- output results.har
results -cmf results.cmf  
if errorlevel 1 goto err

:skip

dir/od *.har *.sl4 
echo JOB DONE OK
goto endbat
:err
echo ERROR - see latest log
dir/od *.log
:endbat